summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-10-21 07:51:41 +0200
committerMichał Górny <mgorny@gentoo.org>2021-10-21 07:57:40 +0200
commit1b3e98c6860a7ce06cb553c61a52470247a9af2e (patch)
treead2a0abcd9e54e7ea8e65e60346eeace6ef16969
parentdev-ruby/zeitwerk: add 2.5.1 (diff)
downloadgentoo-1b3e98c6860a7ce06cb553c61a52470247a9af2e.tar.gz
gentoo-1b3e98c6860a7ce06cb553c61a52470247a9af2e.tar.bz2
gentoo-1b3e98c6860a7ce06cb553c61a52470247a9af2e.zip
dev-python/logfury: Bump to 1.0.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--dev-python/logfury/Manifest1
-rw-r--r--dev-python/logfury/logfury-1.0.0.ebuild33
-rw-r--r--dev-python/logfury/metadata.xml2
3 files changed, 35 insertions, 1 deletions
diff --git a/dev-python/logfury/Manifest b/dev-python/logfury/Manifest
index 22fcf33ff5c..0fb5877c339 100644
--- a/dev-python/logfury/Manifest
+++ b/dev-python/logfury/Manifest
@@ -1 +1,2 @@
DIST logfury-0.1.2.gh.tar.gz 15854 BLAKE2B 68fdc692b552c42f509760ba3b6b30d6bdb0066b1179851d9a47e6f8d7b651e3518348ae60cd0726d867d015448253ac058f083c2798b3e5cf7e2e7d86db3929 SHA512 626965bbb8bdebcd7f71fa141de24c7f725933a32f0a00c8799d9778fb41913666c2ef0c71660bf6d00b160b9e34baff682520f4c3570fb0e347f070f010172c
+DIST logfury-1.0.0.gh.tar.gz 9889 BLAKE2B e229175807f74d61d018e0c176eeb319bbfa6ab74d6c49fe7520649259d823fddaa5fd2b55f10de53cf299d88c89eb351ec4817fbde6feee439528d68769458d SHA512 f2b7f7f55a54329889941866f454a3e7a88f90a702ebf7809f717b5febf2932594a781d57fe940b8756511d4dee382114db730b6ab5c3358e545c683e03220a1
diff --git a/dev-python/logfury/logfury-1.0.0.ebuild b/dev-python/logfury/logfury-1.0.0.ebuild
new file mode 100644
index 00000000000..c3e902babc3
--- /dev/null
+++ b/dev-python/logfury/logfury-1.0.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Boilerplate library for logging method calls"
+HOMEPAGE="
+ https://github.com/reef-technologies/logfury
+ https://pypi.org/project/logfury/"
+SRC_URI="
+ https://github.com/reef-technologies/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/testfixtures[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # remove pin for old Pythons (sic!)
+ sed -i -e '/setuptools_scm/d' setup.py || die
+ distutils-r1_src_prepare
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
diff --git a/dev-python/logfury/metadata.xml b/dev-python/logfury/metadata.xml
index f2d8d06dc39..1ffa88baa4d 100644
--- a/dev-python/logfury/metadata.xml
+++ b/dev-python/logfury/metadata.xml
@@ -12,6 +12,6 @@
<stabilize-allarches/>
<upstream>
<remote-id type="pypi">logfury</remote-id>
- <remote-id type="github">ppolewicz/logfury</remote-id>
+ <remote-id type="github">reef-technologies/logfury</remote-id>
</upstream>
</pkgmetadata>